[Unit]
Description=w.c.s.
After=network.target syslog.target postgresql.service
Wants=postgresql.service

[Service]
Environment=WCS_SETTINGS_FILE=/usr/lib/%p/debian_config.py
User=%p
Group=%p
ExecStartPre=/usr/bin/wcs-manage migrate
ExecStartPre=/usr/bin/wcs-manage collectstatic
ExecStart=/usr/bin/uwsgi --ini /etc/%p/uwsgi.ini
ExecReload=/bin/kill -HUP $MAINPID
KillSignal=SIGQUIT
PrivateTmp=true
Restart=on-failure
RuntimeDirectory=wcs
Type=notify
StandardError=syslog
NotifyAccess=all

[Install]
WantedBy=multi-user.target
